Delete Header
Remove a specific HTTP header from an MCP server.
This method allows you to remove a specific HTTP header from an MCP server.
Request
URI
DELETE
https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/headers/{header_name}
COPY
Path Parameters
string
mcp_server_id
Required
mcp_server_id
string
header_name
Required
header_name
Responses
200
Successful Response
Operation doesn't return any data structure
404
Invalid MCP server ID or header name.
Operation doesn't return any data structure
422
Validation Error
Returns
HTTPValidationError
of type(s)
application/json
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
array of
object
detail
Optional
detail
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/headers/{header_name}
Mcp Servers Operations
GET
List Tools
GET
List Mcp Servers
POST
Create Mcp Server
GET
Get Mcp Server
PATCH
Update Mcp Server
DELETE
Delete Mcp Server
GET
Test Mcp Server Configuration
POST
Test Mcp Server Connectivity
POST
Update Tool Approval
POST
Batch Update Tool Approval
GET
Get Headers
PUT
Update Headers
PATCH
Patch Headers
DELETE
Delete Header